#
# This script is part of TkKasse. You may use, modify and distribute it under the terms
# of the GNU General Public License, Version 2.
# See details at http://www.fsf.org/licenses/gpl.txt
# (C) by Jan Kandziora <tkkasse@users.sf.net> 
#


## Evaluate in the TkKasse namespace.
namespace eval TkKasse \
{
	## Debug printer spooler class:
	itcl::class PrintSpooler::Debug \
	{
		inherit ::TkKasse::PrintSpooler
	
		constructor { args } { eval configure $args } {}
		
		method print { PRINT_DATA_ARG DISPLAY_ARG SERVICE_ARG }
	}

	## Print the description to the log.
	itcl::body PrintSpooler::Debug::print { PRINT_DATA_ARG DISPLAY_ARG SERVICE_ARG } \
	{
		log debug "Print to $DISPLAY_ARG,$SERVICE_ARG:\n$PRINT_DATA_ARG"
	}



	## lpr printer spooler class:
	itcl::class PrintSpooler::PipeCommand \
	{
		inherit ::TkKasse::PrintSpooler
	
		constructor { args } { eval configure $args } {}
		
		method print { PRINT_DATA_ARG DISPLAY_ARG SERVICE_ARG }

		public variable commands

	}

	## Print the description.
	itcl::body PrintSpooler::PipeCommand::print { PRINT_DATA_ARG DISPLAY_ARG SERVICE_ARG } \
	{
		array set COMMAND_ARRAY $commands
	
		set FD [ open "| $COMMAND_ARRAY($DISPLAY_ARG,$SERVICE_ARG)" "w" ]
		fconfigure $FD -encoding binary
		puts $FD $PRINT_DATA_ARG
		close $FD
	}
}

