#!/bin/bash
#
# Copyright (c) Jan Kandziora
# Licensed under the GNU General Public License
# see http://www.gnu.org/licenses/gpl.txt for details.
#
# Author: Jan Kandziora <tkkasse@users.sf.net>
#         originally from Theodore Ts'o <tytso@mit.edu>

# /etc/init.d/tkkassed
#   and its symbolic  link
# /usr/sbin/rctkkassed
#
# Script to start/stop the tkkasse server.
#
#
### BEGIN INIT INFO
# Provides:       tkkassed
# Required-Start:
# Required-Stop:
# Default-Start:  3 5
# Default-Stop:
# Description:    Server for TkKasse cash desk system
### END INIT INFO

## Read settings.
. /etc/rc.status

## Don't look into my cards.
umask 077

## Do the desired action.
rc_reset
case "$1" in
    start)
	echo -n "Starting tkkasse daemon "
	export LIBPATH="/opt/tkkasse/lib/server"
	export TCLLIBPATH="$LIBPATH $TCLLIBPATH"
	startproc -t2 -f -s -utkkassed -gtkkassed -l/var/log/tkkassed /opt/tkkasse/bin/tkkassed /opt/tkkasse/bin/tkkassed.tcl
	rc_status -v
	;;
    stop)
	echo -n "Stopping tkkasse daemon "
	killproc -TERM /opt/tkkasse/bin/tkkassed
	rc_status -v
	rm -f /var/run/tkkassed.pid 
	;;
    restart)
	## If first returns OK call the second, if first or
	## second command fails, set echo return value.
	$0 stop; sleep 1  &&  $0 start
	rc_status
	;;
    status)
	echo -n "Checking for a tkkasse daemon"
	checkproc /opt/tkkasse/bin/tkkassed
	rc_status -v
	;;
    *)
	echo "Usage: $0 {start|stop|status|restart}"
	exit 1
esac
rc_exit

